Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TTrimArgument

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TTrimArgument

All Implemented Interfaces:
  Visitable

    public class TTrimArgument

extends TParseTreeNode

Constructor Summary
`TTrimArgument()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TSourceToken` | `getBoth_trailing_leading()`
`TExpression` | `getStringExpression()`
`TExpression` | `getTrimCharacter()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TTrimArgument

    public TTrimArgument()

Method Detail

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

### getBoth_trailing_leading

    public TSourceToken getBoth_trailing_leading()

### getStringExpression

    public TExpression getStringExpression()

### getTrimCharacter

    public TExpression getTrimCharacter()

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD